package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamProcessRecordEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description 考试过程记录
 * @Author lideyin
 * @Date 2020/8/20 18:19
 * @Version 1.0
 */
@Repository
public interface ExamProcessRecordRepo
        extends JpaRepository<ExamProcessRecordEntity, Long>, JpaSpecificationExecutor<ExamProcessRecordEntity> {

    List<ExamProcessRecordEntity> findByExamRecordDataIdOrderByRecordTimeAsc(Long examRecordDataId);
}
