package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * @Description 活体检测方案枚举
 * @Author lideyin
 * @Date 2019/11/6 15:03
 * @Version 1.0
 */
public enum FaceBiopsyScheme {
    /**
     * FaceID活体检测方案(即旧活体检测方案)
     */
    FACE_ID("S1", "FaceID活体检测方案"),
    /**
     * 新活体检测方案(暂时无法给出具体命名，以后有需要再改动)
     */
    NEW("S2", "新活体检测方案");
    private String code;
    private String desc;

    FaceBiopsyScheme(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    /**
     * 获取活检方案代码
     * @return
     */
    public String getCode(){
        return this.code;
    }

    /**
     * 获取活检方案描述
     * @return
     */
    public String getDesc(){
        return this.desc;
    }
}
