package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.core.oe.admin.dao.ExamRecordDataSyncRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataSyncEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamRecordDataSyncService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("examRecordDataSyncServiceImpl")
public class ExamRecordDataSyncServiceImpl implements ExamRecordDataSyncService {

    @Autowired
    private ExamRecordDataSyncRepo examRecordDataSyncRepo;


    @Override
    public Long getExamRecordDataIdByCacheId(Long cacheId) {
        ExamRecordDataSyncEntity e = examRecordDataSyncRepo.findByCacheId(cacheId);
        if (e != null) {
            return e.getDbId();
        }
        return null;
    }

}
